package com.wjholden.nmap;

import android.view.Menu;

/**
 * All the global constants should go here for simplified access.
 * 
 * @author William John Holden (wjholden@gmail.com)
 * @version 0.4.1
 * @since 0.4
 */
public interface NmapConstants {
	/**
	 * Tells handler there is no root access on this handset
	 */
	 int INSTALL_NO_ROOT = 0;
	
	/**
	 * Indicates generic installation error
	 */
	 int INSTALL_ERROR = 1;
	
	/**
	 * Indicates successful installation (or successfully verified)
	 */
	 int INSTALL_GOOD = 2;
	
	/**
	 * Tells the handler that your Message object contains one line of output
	 */
	 int RUN_LINE = 3;
	
	/**
	 * Tells the handler the scan has completed
	 */
	int RUN_COMPLETE = 4;
	
	/**
	 * Tells the handler an error occurred
	 */
	 int RUN_ERROR = 5;
	 
	 int THREAD_ERROR = 6;
	 
	 int SCANTYPE_NMAP = 7;
	 
	 int SCANTYPE_NPING = 8;
	 
	 int SCANTYPE_NCAT = 9;
	 
	 int SCANTYPE_NDIFF = 10;
	 
	 int FORCE_RESTART = 11;
	
	 /**
	  * This tag is used by Logcat to print app name.
	  */
	 String TAG = "Nmap";
	
	/**
	 * Android keeps bitching about not explicitly saying you want an 8k-char buffer so...here.
	 */
	 int BUFFER_SIZE = 8192;

	 /**
	  * Button to enable/disable debugging
	  */
	 int MI_DEBUG_ENABLE = Menu.FIRST;
	 
	 /**
	  * Button to e-mail debugging info to developer
	  */
	 int MI_DEBUG_EMAIL = Menu.FIRST + 1;
	 
	 /**
	  * Button that opens Nmap manpage
	  */
	 int MI_MORE_HELP = Menu.FIRST + 2;
	 
	 /**
	  * Button that initiates VerifyInstallation method manually
	  */
	 int MI_REINSTALL = Menu.FIRST + 3;
	 
	 /**
	  * Button that shows the survey, collecting information at 
	  * <a href="http://nmap.wjholden.com/data.php">nmap.wjholden.com</a>.
	  */
	 int MI_SURVEY = Menu.FIRST + 4;
	 
	 int MI_EXIT = Menu.FIRST + 5;
	
	 int MG_DEBUG = Menu.FIRST;
	 
	 int MG_DEFAULT = Menu.FIRST + 1;
	 
	 /**
	 * List of filenames corresponding to those resources made available in requiredResources[].
	 */
	String INSTALL_FILENAMES[] = { "ndiff", "nping", "nmap-services", "nmap-mac-prefixes" };
	
	/**
	 * The name is somewhat misleading now, but these are a few files that should be 
	 * installed during this process.  The list is not all-inclusive (not R.raw.nmap absent)
	 * because some files are so large they had to be split, therefore they couldn't be 
	 * installed in this neat interative process.
	 */
	int INSTALL_RESOURCES[] = { R.raw.ndiff, R.raw.nping, R.raw.nmap_services, R.raw.nmap_mac_prefixes };
}
